Get plan details
curl --request GET \
--url https://api.metronome.com/v1/planDetails/{plan_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.metronome.com/v1/planDetails/{plan_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.metronome.com/v1/planDetails/{plan_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "d46c3bce-40a6-4fbf-9b45-fcb00d45ad5f",
"name": "Plan with Minimums",
"description": "A plan with minimums",
"credit_grants": [
{
"name": "Acme Corp Promotional Credit Grant",
"amount_granted": 2400,
"amount_paid": 1500,
"effective_duration": 3,
"priority": "1",
"send_invoice": true,
"reason": "Prepaid grant",
"recurrence_interval": 1,
"amount_granted_credit_type": {
"id": "2714e483-4ff1-48e4-9e25-ac732e8f24f2",
"name": "USD (cents)"
},
"amount_paid_credit_type": {
"id": "2714e483-4ff1-48e4-9e25-ac732e8f24f2",
"name": "USD (cents)"
}
}
],
"minimums": [
{
"name": "Invoice minimum",
"value": 10000,
"start_period": 0,
"credit_type": {
"id": "2714e483-4ff1-48e4-9e25-ac732e8f24f2",
"name": "USD (cents)"
}
}
],
"overage_rates": [
{
"start_period": 0,
"to_fiat_conversion_factor": 1600,
"fiat_credit_type": {
"id": "2714e483-4ff1-48e4-9e25-ac732e8f24f2",
"name": "USD (cents)"
},
"credit_type": {
"id": "d46c3bce-40a6-4fbf-9b45-fcb00d45ad5f",
"name": "MetroBux"
}
}
],
"custom_fields": {
"x_account_id": "KyVnHhSBWl7eY2bl"
}
}
}Plans
Get plan details
Fetch high level details of a specific plan. This is a Plans (deprecated) endpoint. New clients should implement using Contracts.
GET
/
planDetails
/
{plan_id}
Get plan details
⌘I